Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Class UndoableEditEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.swing.event.UndoableEditEvent

public class UndoableEditEvent
extends java.util.EventObject

An event indicating that an operation which can be undone has occurred.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`UndoableEditEvent(java.lang.Object source, UndoableEdit edit)` Constructs an UndoableEditEvent object.

Method Summary
`UndoableEdit` | `getEdit()` Returns the edit value.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UndoableEditEvent

    public UndoableEditEvent(java.lang.Object source,
                             UndoableEdit edit)

  Constructs an UndoableEditEvent object.
  Parameters:
    `source` - the Object that originated the event (typically `this`)
    `edit` - an UndoableEdit object

Method Detail

### getEdit

    public UndoableEdit getEdit()

  Returns the edit value.
  Returns:
    the UndoableEdit object encapsulating the edit

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.